# Uses of Interface
java.nio.channels.AsynchronousByteChannel

Packages that use AsynchronousByteChannel
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.

## Uses of AsynchronousByteChannel in java.nio.channels

Classes in java.nio.channels that implement AsynchronousByteChannel
Modifier and Type
Class
Description
`class`
`AsynchronousSocketChannel`
An asynchronous channel for stream-oriented connecting sockets.
Methods in java.nio.channels with parameters of type AsynchronousByteChannel
Modifier and Type
Method
Description
`static InputStream`
Channels.`newInputStream(AsynchronousByteChannel ch)`
Constructs a stream that reads bytes from the given channel.
`static OutputStream`
Channels.`newOutputStream(AsynchronousByteChannel ch)`
Constructs a stream that writes bytes to the given channel.